Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.query
Interface BytecodeSerialization

All Known Subinterfaces:
  SerializationWithRoutine

    public interface BytecodeSerialization

Nested Class Summary
`static interface` | `BytecodeSerialization.Serializable`

Method Summary
`void` | `beginArray(int length, Type type)`
`void` | `beginArrayComponent(int index)`
`void` | `beginMethod(Method method)`
`void` | `endArray()`
`void` | `endArrayComponent()`
`void` | `endMethod()`
`void` | `visitBoolean(boolean value)`
`void` | `visitByte(byte value)`
`void` | `visitChar(char value)`
`void` | `visitClass(Type cls)`
`void` | `visitDouble(double value)`
`void` | `visitField(Field field)`
`void` | `visitFloat(float value)`
`void` | `visitInt(int value)`
`void` | `visitLong(long value)`
`void` | `visitObject(java.lang.Object value)`
`void` | `visitShort(short value)`
`void` | `visitType(Type type)`

Method Detail

### beginArray

    void beginArray(int length,
                    Type type)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### beginArrayComponent

    void beginArrayComponent(int index)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### beginMethod

    void beginMethod(Method method)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### endArray

    void endArray()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### endArrayComponent

    void endArrayComponent()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### endMethod

    void endMethod()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### visitBoolean

    void visitBoolean(boolean value)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### visitByte

    void visitByte(byte value)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### visitChar

    void visitChar(char value)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### visitClass

    void visitClass(Type cls)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### visitDouble

    void visitDouble(double value)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### visitField

    void visitField(Field field)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### visitFloat

    void visitFloat(float value)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### visitInt

    void visitInt(int value)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### visitLong

    void visitLong(long value)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### visitObject

    void visitObject(java.lang.Object value)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### visitShort

    void visitShort(short value)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### visitType

    void visitType(Type type)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD